uuid: 10d247eb-d872-4a44-8af0-1f3ad9120101
langcode: en
status: true
dependencies:
  config:
    - field.storage.node.field_abstract
    - field.storage.node.field_event_date
    - field.storage.node.field_event_location
    - field.storage.node.field_event_type
    - field.storage.node.field_feature_event_image
    - field.storage.node.field_featured
    - field.storage.node.field_rich_text
    - search_api.server.durham_tech
  module:
    - node
    - search_api_exclude_entity
id: event_index
name: 'Event Index'
description: ''
read_only: false
field_settings:
  field_abstract:
    label: Abstract
    datasource_id: 'entity:node'
    property_path: field_abstract
    type: text
    dependencies:
      config:
        - field.storage.node.field_abstract
  field_event_date:
    label: 'Event Date'
    datasource_id: 'entity:node'
    property_path: field_event_date
    type: date
    dependencies:
      config:
        - field.storage.node.field_event_date
  field_event_location:
    label: 'Event Location'
    datasource_id: 'entity:node'
    property_path: field_event_location
    type: text
    dependencies:
      config:
        - field.storage.node.field_event_location
  field_event_type:
    label: 'Event Type'
    datasource_id: 'entity:node'
    property_path: field_event_type
    type: integer
    dependencies:
      config:
        - field.storage.node.field_event_type
  field_feature_event_image:
    label: 'Feature Event Image'
    datasource_id: 'entity:node'
    property_path: field_feature_event_image
    type: integer
    dependencies:
      config:
        - field.storage.node.field_feature_event_image
  field_featured:
    label: Featured
    datasource_id: 'entity:node'
    property_path: field_featured
    type: boolean
    dependencies:
      config:
        - field.storage.node.field_featured
  field_rich_text:
    label: Description
    datasource_id: 'entity:node'
    property_path: field_rich_text
    type: text
    dependencies:
      config:
        - field.storage.node.field_rich_text
  nid:
    label: ID
    datasource_id: 'entity:node'
    property_path: nid
    type: integer
    dependencies:
      module:
        - node
  node_grants:
    label: 'Node access information'
    property_path: search_api_node_grants
    type: string
    indexed_locked: true
    type_locked: true
    hidden: true
  status:
    label: null
    datasource_id: 'entity:node'
    property_path: status
    type: boolean
    indexed_locked: true
    type_locked: true
    dependencies:
      module:
        - node
  title:
    label: Title
    datasource_id: 'entity:node'
    property_path: title
    type: text
    dependencies:
      module:
        - node
  type:
    label: 'Content type'
    datasource_id: 'entity:node'
    property_path: type
    type: string
    dependencies:
      module:
        - node
  uid:
    label: null
    datasource_id: 'entity:node'
    property_path: uid
    type: integer
    indexed_locked: true
    type_locked: true
    dependencies:
      module:
        - node
  url:
    label: URI
    property_path: search_api_url
    type: string
datasource_settings:
  'entity:node':
    bundles:
      default: false
      selected:
        - event
    languages:
      default: true
      selected: {  }
processor_settings:
  add_url: {  }
  aggregated_field: {  }
  content_access:
    weights:
      preprocess_query: -30
  entity_status: {  }
  ignore_character:
    weights:
      preprocess_index: -10
      preprocess_query: -10
    all_fields: false
    fields:
      - field_abstract
      - field_event_location
      - field_rich_text
      - title
      - type
    ignorable: "['¿¡!?,.:;]"
    ignorable_classes:
      - Pc
      - Pd
      - Pe
      - Pf
      - Pi
      - Po
      - Ps
  ignorecase:
    weights:
      preprocess_index: -20
      preprocess_query: -20
    all_fields: false
    fields:
      - field_abstract
      - field_event_location
      - field_rich_text
      - title
      - type
      - url
  language_with_fallback: {  }
  rendered_item: {  }
  search_api_exclude_entity_processor:
    fields:
      node:
        - field_exclude_from_search
tracker_settings:
  default:
    indexing_order: fifo
options:
  cron_limit: 50
  index_directly: true
  track_changes_in_references: true
server: durham_tech
